#include <windows.h>
#include <GL/glut.h>

void reshape(int w, int h)
{
	glViewport(0,0,w,h);

	if (w == 0) w = 1;
	if (h == 0) h = 1;

	double aspect = w * 1.0 / h;

	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	if (w > h)
		gluOrtho2D(-aspect, aspect, -1, 1);
	else
		gluOrtho2D(-1, 1, -1/aspect, 1/aspect);
}

void draw()
{
	glClearColor(0.0, 0.0, 0.0, 0.0);
	glClear(GL_COLOR_BUFFER_BIT);

	glBegin(GL_POLYGON);
	{
		glVertex3f(-0.5f, -0.5f, 0.0);
		glVertex3f(-0.5f,  0.5f, 0.0);
		glVertex3f( 0.5f,  0.5f, 0.0);
		glVertex3f( 0.5f, -0.5f, 0.0);
	}
	glEnd();

	glFlush();
}

int main(int argc, char **argv)
{
	glutInit(&argc, argv);
	glutInitDisplayMode(GLUT_RGBA | GLUT_SINGLE);
	glutCreateWindow("Aspect Ratio");
	glutReshapeFunc(reshape);
	glutDisplayFunc(draw);
	glutMainLoop();
	return 0;
}